package com.atlassian.stash.internal.server.analytics;

import com.atlassian.analytics.api.annotations.EventName;
import com.atlassian.event.api.AsynchronousPreferred;
import com.atlassian.bitbucket.event.ApplicationEvent;

import javax.annotation.Nonnull;
import java.util.Map;

@AsynchronousPreferred
@EventName("stash.instance.attributes.config")
public class ConfigAttributesAnalyticsEvent extends ApplicationEvent {

    private final Map<String, Object> jdbc;
    private final Map<String, Object> usage;

    public ConfigAttributesAnalyticsEvent(@Nonnull Object source, @Nonnull Map<String, Object> jdbc,
                                          @Nonnull Map<String, Object> usage) {
        super(source);
        this.jdbc = jdbc;
        this.usage = usage;
    }

    @Nonnull
    public Map<String, Object> getJdbc() {
        return jdbc;
    }

    @Nonnull
    public Map<String, Object> getUsage() {
        return usage;
    }
}
